package de.wwwu.awolf.presenter.algorithms;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 28.05.2017.
 */
public interface Algorithm extends Runnable {

    enum Type {
        LMS,
        RM,
        TS,
        NAIV_LMS,
        NAIV_RM,
        NAIV_TS
    }


    /**
     * Startet die Berechnung des jeweiligen Algorithmus.
     */
    @Override
    void run();

    /**
     * Standardisierung der Lösung in Form (m,b), sodass die Geraden Visualisiert werden können.
     */
    void pepareResult();
}
